Bug 490139 - Tomcat6 Depends on redhat-lsb that depends on cups
Tomcat6 Depends on redhat-lsb that depends on cups
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tomcat6 (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: David Walluck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 10:29 EDT by Bruno Medeiros
Modified: 2010-06-28 07:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:28:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Medeiros 2009-03-13 10:29:07 EDT
Description of problem:

The package tomcat6 depends on redhat-lsb, that depends on cups. It's (at least) a strange dependency chain. We could see this here:

Running a 'yum groupremove "Printing Support"' tries to cascade remove tomcat6, which is undesired.

Runnig a 'yum install tomcat6' tries to cascade install cups, which is also undesired.


Version-Release number of selected component (if applicable):
tomcat6.noarch 0:6.0.18-6.2.fc10
redhat-lsb.x86_64 0:3.2-2.fc10
cups.x86_64 1:1.3.9-8.fc10

How reproducible:
Always.

Steps to Reproduce:
Run a 'yum install tomcat6' (without cups installed) to see the strange dependency chain.

Actual results:
'yum install tomcat6' installs cups as a indirect dependency.


Expected results:
'yum install tomcat6' doesn't install cups as a indirect dependency.


Additional info:
The yum dependency resolution:
------------------------------------------------------------------------
[root@webserver2 suporte.ti]# yum install tomcat6
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package tomcat6.noarch 0:6.0.18-6.2.fc10 set to be updated
--> Processing Dependency: /lib/lsb/init-functions for package: tomcat6
--> Running transaction check
---> Package redhat-lsb.x86_64 0:3.2-2.fc10 set to be updated
--> Processing Dependency: /usr/bin/lpr for package: redhat-lsb
--> Processing Dependency: /usr/bin/gs for package: redhat-lsb
--> Processing Dependency: /usr/bin/lp for package: redhat-lsb
--> Running transaction check
---> Package cups.x86_64 1:1.3.9-8.fc10 set to be updated
---> Package ghostscript.x86_64 0:8.63-4.fc10 set to be updated
--> Finished Dependency Resolution
------------------------------------------------------------------------
Comment 1 Bug Zapper 2009-11-18 07:47:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bruno Medeiros 2009-11-18 09:00:12 EST
It remains on Fedora 11.
Comment 3 Bug Zapper 2010-04-27 09:11:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:28:11 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.